; Keymap for window tabs
;
; Author: Scott Scriven <sawfish@toykeeper.net>

; This file serves as an example of how to bind tab actions.
; Feel free to customize and modify as desired.

(require 'sawfish.wm.keymaps)

; to use 'mygroup, press W-g in one window, then press it in another window.
; alternately, middle-click one window title then middle-click another.
; this should place the first window into the second window's frame.
(bind-keys window-keymap "H-g" 'add-to-group)
;(bind-keys global-keymap "W-Left" 'tab-raise-left-window)
;(bind-keys global-keymap "W-Right" 'tab-raise-right-window)
;(bind-keys global-keymap "W-Tab" 'cycle-tabgroup)
;(bind-keys global-keymap "W-Tab" 'tab-raise-right-window)
;(bind-keys global-keymap "H-Tab" 'tab-raise-right-window)
;(bind-keys global-keymap "C-Tab" 'tab-raise-left-window)
(bind-keys global-keymap "W-ISO_Left_Tab" 'tab-raise-left-window)
(bind-keys global-keymap "H-ISO_Left_Tab" 'tab-raise-right-window)


(custom-set-keymap 
  (quote tab-keymap) 
  (quote 
    (keymap 
      (move-window-interactively . "Button1-Move") 
      ;(toggle-window-shaded . "Button1-Off2") 
      (mygroup . "Button2-Off") 
      ;(raise-window . "Move") 
      (raise-window . "Button1-Off") 
      (raise-lower-window . "Button3-Off")
      )))

; uncomment if you want tabs to raise when you pass the mouse over them:
;(add-hook 'enter-frame-part-hook 
;	  (lambda (win pclass fmode) 
;	    ;(if (= pclass 'tab)
;	      (raise-window win)
;	      ;)
;	    ))

;; Below is the original info about binding tab actions.
;; It may or may not be accurate/useful:
;; You can use something like this as shortcuts (put this after requirement):
;; (bind-keys window-keymap "W-g" 'tab-group-window)
;; (bind-keys window-keymap "W-u" 'tab-release-window)
;; (bind-keys global-keymap "W-Left" 'tab-raise-left-window)
;; (bind-keys global-keymap "W-Right" 'tab-raise-right-window)
;; (require 'x-cycle)
;; (define-cycle-command-pair
;;   'cycle-tabgroup 'cycle-tabgroup-backwards
;;   (lambda (w)
;;     (delete-if-not window-in-cycle-p   
;;                    (delete-if (lambda (win)
;;                                 (and (not (eq win w))
;;                                      (tab-same-group-p win w))) 
;;                               (workspace-windows current-workspace))
;;                    )
;;     )
;;   #:spec "%W")
;; (bind-keys global-keymap "W-Tab" 'cycle-tabgroup)

